curl --request POST \
--url https://api.app.fleetit.com/v2/transponders/shipments/{ID}/ship/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courier": "DHL",
"tracking_code": "123-123"
}
'{
"id": 1,
"status": "SHIPPED",
"shipped_at": "2024-08-01T10:00:00Z",
"transponders": [
{
"id": 1,
"number": "transponder123"
}
],
"fleet": {
"id": 1,
"name": "Fleet Name"
},
"remarks": "Sample remarks",
"courier": "DHL",
"tracking_code": "123-123",
"shipped_by": {
"id": 1,
"username": "user123"
}
}Ship a shipment of transponders
curl --request POST \
--url https://api.app.fleetit.com/v2/transponders/shipments/{ID}/ship/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courier": "DHL",
"tracking_code": "123-123"
}
'{
"id": 1,
"status": "SHIPPED",
"shipped_at": "2024-08-01T10:00:00Z",
"transponders": [
{
"id": 1,
"number": "transponder123"
}
],
"fleet": {
"id": 1,
"name": "Fleet Name"
},
"remarks": "Sample remarks",
"courier": "DHL",
"tracking_code": "123-123",
"shipped_by": {
"id": 1,
"username": "user123"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful response
1
"SHIPPED"
"2024-08-01T10:00:00Z"
Show child attributes
Show child attributes
"Sample remarks"
"DHL"
"123-123"
Show child attributes
Was this page helpful?